Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Hello

I would like to complete the test suite, and add a test about the creation of ProjectCustomFields.

Currently, the functional tests only relate to IssueCustomFields.

Thank you

diff --git a/test/functional/custom_fields_controller_test.rb b/test/functional/custom_fields_cont

roller_test.rb

index 7f41888ff..8b5e33155 100644

--- a/test/functional/custom_fields_controller_test.rb

+++ b/test/functional/custom_fields_controller_test.rb

@@ -303,6 +303,29 @@ class CustomFieldsControllerTest < Redmine::ControllerTest

     assert_equal 1, field.trackers.size

   end

+  def test_create_project_custom_field

+    field = new_record(ProjectCustomField) do

+      post :create, :params => {

+          :type => "ProjectCustomField",

+          :custom_field => {

+            :field_format => "string",

+            :name => "test_new_project_custom_field",

+            :description => "",

+            :min_length => "",

+            :max_length => "",

+            :regexp => "",

+            :text_formatting => "",

+            :default_value => "",

+            :url_pattern => "",

+            :is_filter => "0",

+            :is_required =>"0" 

+          }

+        }

+    end

+    assert_redirected_to "/custom_fields/#{field.id}/edit" 

+    assert_equal "test_new_project_custom_field", field.name

+  end

+

   def test_create_with_project_ids

     assert_difference 'CustomField.count' do

       post :create, :params => {

Associated revisions

Revision 20651 - 2020-12-16 15:12 - Go MAEDA

Add a test for ProjectCustomField creation (#33268).

Patch by Vincent Robert.

History
#1 - 2020-04-07 13:34 - Vincent Robert

- Description updated

#2 - 2020-04-14 12:27 - Vincent Robert

- Target version set to 4.1.2

#3 - 2020-12-16 08:23 - Marius BĂLTEANU

- Assignee set to Go MAEDA

- Target version changed from 4.1.2 to 4.0.8

Go Maeda, looks good to me, we can add this test to all stable versions or only to 4.2.0.

#4 - 2020-12-16 08:30 - Go MAEDA

Marius BALTEANU wrote:

Go Maeda, looks good to me, we can add this test to all stable versions or only to 4.2.0.

 Thank you for reviewing the patch.

Since the new test is not for detecting existing bugs, but simply adds a new test, I think it is appropriate to set the target version to 4.2.0.

#5 - 2020-12-16 09:36 - Marius BĂLTEANU

- Target version changed from 4.0.8 to 4.2.0

#6 - 2020-12-16 15:12 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

Committed the patch. Thank you for your contribution.
